Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.xmla
Class XMLA_Level

    java.lang.Object
      com.tonbeller.jpivot.xmla.XMLA_Level

All Implemented Interfaces:
  Exp, Decorator, Displayable, Expression, Level, Visitable, MDXElement, MDXLevel

    public class XMLA_Level

extends java.lang.Object
implements Level, MDXLevel, Exp

Level Implementation for XMLA

Field Summary

Fields inherited from interface com.tonbeller.jpivot.olap.model.Displayable
`LABEL_COMPARATOR`

Constructor Summary
`XMLA_Level(XMLA_Model model)` c'tor

Method Summary
`void` | `accept(ExpVisitor visitor)` Exp is visitable
`void` | `accept(Visitor visitor)`
`void` | `addProp(XMLA_MemberProp prop)` add a property
`java.lang.Object` | `clone()`
`java.lang.String` | `getCaption()` Returns the caption.
`int` | `getCardinality()` Returns the cardinality.
`XMLA_Level` | `getChildLevel()` Returns the childLevel.
`int` | `getCustomRollupSettings()` Returns the customRollupSettings.
`int` | `getDbType()` Returns the dbType.
`int` | `getDepth()`
`int` | `getDimType()` Returns the dimType.
`java.lang.String` | `getDimUniqueName()` Returns the dimUniqueName.
`Hierarchy` | `getHierarchy()` Returns the hier.
`java.lang.String` | `getHierUniqueName()` Returns the hierUniqueName.
`java.lang.String` | `getKeySqlColumnName()` Returns the keySqlColumnName.
`java.lang.String` | `getLabel()` Returns the caption as Label
`XMLA_Member[]` | `getMembers()` get the members of this level
`java.lang.String` | `getName()` Returns the name.
`java.lang.String` | `getNameSqlColumnName()` Returns the nameSqlColumnName.
`java.lang.String` | `getOrderingProperty()` Returns the orderingProperty.
`XMLA_Level` | `getParentLevel()` Returns the parentLevel.
`XMLA_MemberProp` | `getProp(java.lang.String xmlTag)` retrieve a property
`java.util.Map` | `getProps()`
`java.lang.Object` | `getRootDecoree()` returns the object that has been created by the olap server.
`int` | `getType()` Returns the type.
`java.lang.String` | `getUniqueName()` Returns the uniqueName.
`java.lang.String` | `getUniqueNameSqlColumnName()` Returns the uniqueNameSqlColumnName.
`int` | `getUniqueSettings()` Returns the uniqueSettings.
`boolean` | `hasChildLevel()`
`boolean` | `isAll()`
`boolean` | `isEqual(XMLA_Level other)`
`boolean` | `isVisible()` Returns the isVisible.
`void` | `setCaption(java.lang.String caption)` Sets the caption.
`void` | `setCardinality(int cardinality)` Sets the cardinality.
`void` | `setChildLevel(XMLA_Level childLevel)` Sets the childLevel.
`void` | `setCustomRollupSettings(int customRollupSettings)` Sets the customRollupSettings.
`void` | `setDbType(int dbType)` Sets the dbType.
`void` | `setDimType(int dimType)` Sets the dimType.
`void` | `setDimUniqueName(java.lang.String dimUniqueName)` Sets the dimUniqueName.
`void` | `setHierarchy(Hierarchy hier)` Sets the hier.
`void` | `setHierUniqueName(java.lang.String hierUniqueName)` Sets the hierUniqueName.
`void` | `setKeySqlColumnName(java.lang.String keySqlColumnName)` Sets the keySqlColumnName.
`void` | `setMembers(java.util.List mList)`
`void` | `setName(java.lang.String name)` Sets the name.
`void` | `setNameSqlColumnName(java.lang.String nameSqlColumnName)` Sets the nameSqlColumnName.
`void` | `setNumber(int number)` Sets the number.
`void` | `setOrderingProperty(java.lang.String orderingProperty)` Sets the orderingProperty.
`void` | `setParentLevel(XMLA_Level parentLevel)` Sets the parentLevel.
`void` | `setType(int type)` Sets the type.
`void` | `setUniqueName(java.lang.String uniqueName)` Sets the uniqueName.
`void` | `setUniqueNameSqlColumnName(java.lang.String uniqueNameSqlColumnName)` Sets the uniqueNameSqlColumnName.
`void` | `setUniqueSettings(int uniqueSettings)` Sets the uniqueSettings.
`void` | `setVisible(boolean isVisible)` Sets the isVisible.
`java.lang.String` | `toMdx()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLA_Level

    public XMLA_Level(XMLA_Model model)

  c'tor

  Parameters:
    `model` -

Method Detail

### isEqual

    public boolean isEqual(XMLA_Level other)

  Parameters:
    `other` -
  Returns:
    boolean

### setMembers

    public void setMembers(java.util.List mList)

### accept

    public void accept(Visitor visitor)

  Specified by:
    `accept` in interface `Visitable`
  See Also:
    `Visitable.accept(Visitor)`

### getRootDecoree

    public java.lang.Object getRootDecoree()

  Description copied from interface: `Decorator`
  returns the object that has been created by the olap server. If this is part of a decorator chain, unwinds the chain and returns the root of all decorators.

  Specified by:
    `getRootDecoree` in interface `Decorator`

### getLabel

    public java.lang.String getLabel()

  Returns the caption as Label

  Specified by:
    `getLabel` in interface `Displayable`
  Returns:
    String

### getCaption

    public java.lang.String getCaption()

  Returns the caption.

  Returns:
    String

### getCardinality

    public int getCardinality()

  Returns the cardinality.

  Returns:
    int

### getCustomRollupSettings

    public int getCustomRollupSettings()

  Returns the customRollupSettings.

  Returns:
    int

### getDbType

    public int getDbType()

  Returns the dbType.

  Returns:
    int

### getDimType

    public int getDimType()

  Returns the dimType.

  Returns:
    int

### getDimUniqueName

    public java.lang.String getDimUniqueName()

  Returns the dimUniqueName.

  Returns:
    String

### getHierarchy

    public Hierarchy getHierarchy()

  Returns the hier.

  Specified by:
    `getHierarchy` in interface `Level`
  Returns:
    Hierarchy

### getHierUniqueName

    public java.lang.String getHierUniqueName()

  Returns the hierUniqueName.

  Returns:
    String

### isVisible

    public boolean isVisible()

  Returns the isVisible.

  Returns:
    boolean

### getKeySqlColumnName

    public java.lang.String getKeySqlColumnName()

  Returns the keySqlColumnName.

  Returns:
    String

### getName

    public java.lang.String getName()

  Returns the name.

  Returns:
    String

### getNameSqlColumnName

    public java.lang.String getNameSqlColumnName()

  Returns the nameSqlColumnName.

  Returns:
    String

### getDepth

    public int getDepth()

  Specified by:
    `getDepth` in interface `MDXLevel`
  Returns:
    the level's depth

### getOrderingProperty

    public java.lang.String getOrderingProperty()

  Returns the orderingProperty.

  Returns:
    String

### getType

    public int getType()

  Returns the type.

  Returns:
    int

### getUniqueName

    public java.lang.String getUniqueName()

  Returns the uniqueName.

  Specified by:
    `getUniqueName` in interface `MDXElement`
  Returns:
    String

### getUniqueNameSqlColumnName

    public java.lang.String getUniqueNameSqlColumnName()

  Returns the uniqueNameSqlColumnName.

  Returns:
    String

### getUniqueSettings

    public int getUniqueSettings()

  Returns the uniqueSettings.

  Returns:
    int

### setCaption

    public void setCaption(java.lang.String caption)

  Sets the caption.

  Parameters:
    `caption` - The caption to set

### setCardinality

    public void setCardinality(int cardinality)

  Sets the cardinality.

  Parameters:
    `cardinality` - The cardinality to set

### setCustomRollupSettings

    public void setCustomRollupSettings(int customRollupSettings)

  Sets the customRollupSettings.

  Parameters:
    `customRollupSettings` - The customRollupSettings to set

### setDbType

    public void setDbType(int dbType)

  Sets the dbType.

  Parameters:
    `dbType` - The dbType to set

### setDimType

    public void setDimType(int dimType)

  Sets the dimType.

  Parameters:
    `dimType` - The dimType to set

### setDimUniqueName

    public void setDimUniqueName(java.lang.String dimUniqueName)

  Sets the dimUniqueName.

  Parameters:
    `dimUniqueName` - The dimUniqueName to set

### setHierarchy

    public void setHierarchy(Hierarchy hier)

  Sets the hier.

  Parameters:
    `hier` - The hier to set

### setHierUniqueName

    public void setHierUniqueName(java.lang.String hierUniqueName)

  Sets the hierUniqueName.

  Parameters:
    `hierUniqueName` - The hierUniqueName to set

### setVisible

    public void setVisible(boolean isVisible)

  Sets the isVisible.

  Parameters:
    `isVisible` - The isVisible to set

### setKeySqlColumnName

    public void setKeySqlColumnName(java.lang.String keySqlColumnName)

  Sets the keySqlColumnName.

  Parameters:
    `keySqlColumnName` - The keySqlColumnName to set

### setName

    public void setName(java.lang.String name)

  Sets the name.

  Parameters:
    `name` - The name to set

### setNameSqlColumnName

    public void setNameSqlColumnName(java.lang.String nameSqlColumnName)

  Sets the nameSqlColumnName.

  Parameters:
    `nameSqlColumnName` - The nameSqlColumnName to set

### setNumber

    public void setNumber(int number)

  Sets the number.

  Parameters:
    `number` - The number to set

### setOrderingProperty

    public void setOrderingProperty(java.lang.String orderingProperty)

  Sets the orderingProperty.

  Parameters:
    `orderingProperty` - The orderingProperty to set

### setType

    public void setType(int type)

  Sets the type.

  Parameters:
    `type` - The type to set

### setUniqueName

    public void setUniqueName(java.lang.String uniqueName)

  Sets the uniqueName.

  Parameters:
    `uniqueName` - The uniqueName to set

### setUniqueNameSqlColumnName

    public void setUniqueNameSqlColumnName(java.lang.String uniqueNameSqlColumnName)

  Sets the uniqueNameSqlColumnName.

  Parameters:
    `uniqueNameSqlColumnName` - The uniqueNameSqlColumnName to set

### setUniqueSettings

    public void setUniqueSettings(int uniqueSettings)

  Sets the uniqueSettings.

  Parameters:
    `uniqueSettings` - The uniqueSettings to set

### getChildLevel

    public XMLA_Level getChildLevel()

  Returns the childLevel.

  Returns:
    XMLA_Level

### getParentLevel

    public XMLA_Level getParentLevel()

  Returns the parentLevel.

  Returns:
    XMLA_Level

### setChildLevel

    public void setChildLevel(XMLA_Level childLevel)

  Sets the childLevel.

  Parameters:
    `childLevel` - The childLevel to set

### setParentLevel

    public void setParentLevel(XMLA_Level parentLevel)

  Sets the parentLevel.

  Parameters:
    `parentLevel` - The parentLevel to set

### getMembers

    public XMLA_Member[] getMembers()
                             throws OlapException

  get the members of this level

  Throws:
    `OlapException`

### toMdx

    public java.lang.String toMdx()

  Specified by:
    `toMdx` in interface `Exp`
  Returns:
    the unique name

### isAll

    public boolean isAll()

  Specified by:
    `isAll` in interface `MDXLevel`
  Returns:
    true if Hierarchy has "All" member and level is top level
  See Also:
    `MDXLevel.isAll()`

### hasChildLevel

    public boolean hasChildLevel()

  Specified by:
    `hasChildLevel` in interface `MDXLevel`
  Returns:
    true, if the level is not Bottom level
  See Also:
    `MDXLevel.hasChildLevel()`

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in interface `Exp`
  Overrides:
    `clone` in class `java.lang.Object`
  See Also:
    `probably not needed`

### getProps

    public java.util.Map getProps()

  Returns:

### addProp

    public void addProp(XMLA_MemberProp prop)

  add a property

### getProp

    public XMLA_MemberProp getProp(java.lang.String xmlTag)

  retrieve a property

### accept

    public void accept(ExpVisitor visitor)

  Description copied from interface: `Exp`
  Exp is visitable

  Specified by:
    `accept` in interface `Exp`
  See Also:
    `Exp.accept(com.tonbeller.jpivot.olap.mdxparse.ExpVisitor)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD